PATCH Zones
Use this endpoint to update existing zones.
User level: Advanced
Endpoint
PATCH /v1/{scopeId}/zones/{id}| Property | Value |
|---|---|
| Method | PATCH |
| Scope ID | Branch UUID |
| Authentication | Authorization: Bearer <access_token> |
| Required scope | routix:zones:write |
| Content-Type | application/json |
| Request body | JSON object |
Update rules
- The API validates server-side whether the record belongs to the allowed organization and branch.
- This is a branch-or-null resource, but the PATCH call still uses a branch UUID in
{scopeId}. - Only explicitly allowed fields can be updated.
- Unknown or disallowed fields return
400 invalid_update.
Allowed update fields
| Field |
|---|
name |
postal_code_from |
postal_code_to |
country_id_master_data |
Example request
curl -X PATCH "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/zones/3c312fd9-975e-43d8-a661-75d5649b1d8d" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \
-H "Content-Type: application/json" \
-d '{
"name": "Zone A",
"postal_code_to": "1999"
}'Example response
{
"data": {
"id": "3c312fd9-975e-43d8-a661-75d5649b1d8d",
"name": "Zone A",
"postal_code_from": "1000",
"postal_code_to": "1999",
"country_id_master_data": "NL"
},
"version": "v1"
}Error response
{
"error": "invalid_update",
"error_description": "One or more fields are not allowed for updates on zones"
}Possible error codes
400 invalid_request400 invalid_update401 unauthorized401 invalid_token403 invalid_token_type403 insufficient_scope404 not_found405 method_not_allowed
Related pages
- Zones GET
- API calls & examples
- Setup guide
Last updated on

